Broken Glitter-Theme in Xenial PPA

Support for the Debian/Ubuntu package, created by JCFP.
Forum rules
Help us help you:
  • Are you using the latest stable version of SABnzbd? Downloads page.
  • Tell us what system you run SABnzbd on.
  • Adhere to the forum rules.
  • Do you experience problems during downloading?
    Check your connection in Status and Interface settings window.
    Use Test Server in Config > Servers.
    We will probably ask you to do a test using only basic settings.
  • Do you experience problems during repair or unpacking?
    Enable +Debug logging in the Status and Interface settings window and share the relevant parts of the log here using [ code ] sections.
User avatar
jcfp
Release Testers
Release Testers
Posts: 915
Joined: February 7th, 2008, 12:45 pm

Re: Broken Glitter-Theme in Xenial PPA

Post by jcfp » May 8th, 2016, 5:43 am

Yarda wrote:Yesterday i upgraded from 1.0.1 to 1.0.2, after that i received some errors about the Glitter theme. So i tried to reinstall, i purged everything and still have no luck. I can't even start sabnzbdplus after a clean install, i'm running Xenial ofcourse.

Code: Select all

2016-05-08 10:53:59,806::INFO::[sabnzbdplus:356] Web dir is /usr/share/sabnzbdplus/interfaces/Glitter
2016-05-08 10:53:59,806::WARNING::[sabnzbdplus:363] Cannot find web template: /usr/share/sabnzbdplus/interfaces/Glitter/templates/main.tmpl, trying standard template
2016-05-08 10:53:59,807::ERROR::[sabnzbdplus:367] Cannot find standard template: /usr/share/sabnzbdplus/interfaces/Glitter
Focus on this first. Looks like the files of glitter are all missing, probably as a result of local changes you made trying to fix the bootstrap error. Try reinstalling glitter for starters:

Code: Select all

sudo apt-get install --reinstall sabnzbdplus-theme-glitter

Yarda
Newbie
Newbie
Posts: 3
Joined: May 8th, 2016, 4:01 am

Re: Broken Glitter-Theme in Xenial PPA

Post by Yarda » May 8th, 2016, 12:49 pm

jcfp wrote:
Yarda wrote:Yesterday i upgraded from 1.0.1 to 1.0.2, after that i received some errors about the Glitter theme. So i tried to reinstall, i purged everything and still have no luck. I can't even start sabnzbdplus after a clean install, i'm running Xenial ofcourse.

Code: Select all

2016-05-08 10:53:59,806::INFO::[sabnzbdplus:356] Web dir is /usr/share/sabnzbdplus/interfaces/Glitter
2016-05-08 10:53:59,806::WARNING::[sabnzbdplus:363] Cannot find web template: /usr/share/sabnzbdplus/interfaces/Glitter/templates/main.tmpl, trying standard template
2016-05-08 10:53:59,807::ERROR::[sabnzbdplus:367] Cannot find standard template: /usr/share/sabnzbdplus/interfaces/Glitter
Focus on this first. Looks like the files of glitter are all missing, probably as a result of local changes you made trying to fix the bootstrap error. Try reinstalling glitter for starters:

Code: Select all

sudo apt-get install --reinstall sabnzbdplus-theme-glitter
Oh i'm sorry, i editted my previous post. It's running now, but thanks for noticing about the theme package. I didn't realize it was a separate package which can be reinstalled.

ste_c81
Newbie
Newbie
Posts: 2
Joined: May 8th, 2016, 2:07 pm

Re: Broken Glitter-Theme in Xenial PPA

Post by ste_c81 » May 8th, 2016, 2:14 pm

Thanks, this fixed this issue for me too.
jcfp wrote:I finally had a good chat on irc with a user affected by this issue yesterday. For now, I'm inclined to believe this bug is somewhere in debhelper/dh_link and triggered when upgrading sab between certain ppa releases.

Anyway, if you get hit by this after updating, run this to fix the bootstrap error:

Code: Select all

sudo apt-get install --reinstall libjs-bootstrap

jerkpie
Newbie
Newbie
Posts: 5
Joined: March 5th, 2012, 9:15 pm

Re: Broken Glitter-Theme in Xenial PPA

Post by jerkpie » May 15th, 2016, 4:01 am

jcfp wrote:I finally had a good chat on irc with a user affected by this issue yesterday. For now, I'm inclined to believe this bug is somewhere in debhelper/dh_link and triggered when upgrading sab between certain ppa releases.

Anyway, if you get hit by this after updating, run this to fix the bootstrap error:

Code: Select all

sudo apt-get install --reinstall libjs-bootstrap


Im a complete noob, but iv had sabnzb running on my readynas duo2 under Sparc 4.0 I get the same error, and it appears this may fix my issue.. How do I run this code on my Readynas ? where is there a command line I can access to type the code in ?

thanks for any help that comes my way.

Post Reply